# Importer les bibliothèques utilisées par le script
from gpiozero import LED, Button
from time import sleep
# uniform fournit un nombre aléatoire arrondi entre deux valeurs
# les bornes de l'intervalle sont comprises
from random import uniform
from signal import pause

# Déclarer la LED et les 2 boutons
led = LED(23)
bouton_B1 = Button(24)
bouton_B2 = Button(25)

# Allumer la LED pendant un temps aléatoire entre 5 et 10 secondes
led.on()
sleep(uniform(5, 10))
led.off()

# fonction qui détermine qui a appuyé le premier
def appui(button):
    print(str(button.pin.number) + ' a gagné')

# appel de la fonction lors de l'appui sur un des boutons
bouton_B1.when_pressed = appui
bouton_B2.when_pressed = appui

pause()